<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Users StructType
 * @subpackage Structs
 */
class Get_Users extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The UserSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\UserSelection
     */
    public $UserSelection;
    /**
     * Constructor method for Get_Users
     * @uses Get_Users::setLogin()
     * @uses Get_Users::setUserSelection()
     * @param \StructType\Login $login
     * @param \StructType\UserSelection $userSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\UserSelection $userSelection = null)
    {
        $this
            ->setLogin($login)
            ->setUserSelection($userSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Users
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get UserSelection value
     * @return \StructType\UserSelection|null
     */
    public function getUserSelection()
    {
        return $this->UserSelection;
    }
    /**
     * Set UserSelection value
     * @param \StructType\UserSelection $userSelection
     * @return \StructType\Get_Users
     */
    public function setUserSelection(\StructType\UserSelection $userSelection = null)
    {
        $this->UserSelection = $userSelection;
        return $this;
    }
}
